# Bucketeer Client-side SDK for Flutter

## Setup

Install prerequisite tools.

- [FVM](https://github.com/leoafarias/fvm)
  - [Flutter](https://flutter.dev/docs)
- [Dart](https://dart.dev/)

## Install

```yaml
dependencies:
  flutter_bucketeer: ^1.x.x
```

```shell
$ flutter pub get
```

### Set your IDE for FVM path.

`path/to/app/repo/.fvm/flutter_sdk`

<img height="180px" src="https://github.com/ca-dp/bucketeer-flutter-sdk/blob/main/docs/img/fvm-path.png?raw=true"/>

## SDK Development

#### Example

Build Example.

```
make build-android
make build-ios
```

#### Publishing 

**1. Update versions**

- [ios/flutter_bucketeer.podspech](https://github.com/ca-dp/bucketeer-flutter-sdk/blob/main/ios/flutter_bucketeer.podspec#L7)  
- [android/build.gradle](https://github.com/ca-dp/bucketeer-flutter-sdk/blob/main/android/build.gradle#L2)  
- [pubspec.yaml](https://github.com/ca-dp/bucketeer-flutter-sdk/blob/main/pubspec.yaml#L3)  

**1-2. Update dependencies**

- [Update Bucketeer iOS SDK](https://github.com/ca-dp/bucketeer-flutter-sdk/blob/main/ios/flutter_bucketeer.podspec#L16)
- [Update Bucketeer Android SDK](https://github.com/ca-dp/bucketeer-flutter-sdk/blob/main/android/build.gradle#L38)

**2. Publish to [`pub.dev`](https://pub.dev/packages/flutter_bucketeer)**

```
dart pub publish
```

## SDK User Docs

**Now working the Flutter documents.**

- [Tutorial](https://bucketeer.io/docs/#/./client-side-sdk-tutorial-flutter)
- [Integration](https://bucketeer.io/docs/#/./client-side-sdk-reference-guides-flutter)

## Samples 

[Bucketeer Samples](https://github.com/ca-dp/bucketeer-samples)
